import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity("about_us_page_cms")
export class AboutUsPageCmsEntity extends CoreEntity {
    @Column({default: null, nullable: true})
    pageTitle: string;

    @Column({default: null, nullable: true})
    sectionTitle: string;

    @Column({default: null, nullable: true, type: "longtext"})
    sectionSubTitle: string;

    @Column({default: null, nullable: true})
    image: string;

    @Column({default: null, nullable: true})
    achievementTitleOne: string;

    @Column({default: null, nullable: true})
    achievementNumberOne: string;

    @Column({default: null, nullable: true})
    achievementTitleTwo: string;

    @Column({default: null, nullable: true})
    achievementNumberTwo: string;

    @Column({default: null, nullable: true})
    achievementTitleThree: string;

    @Column({default: null, nullable: true})
    achievementNumberThree: string;

    @Column({default: null, nullable: true})
    achievementTitleFour: string;

    @Column({default: null, nullable: true})
    achievementNumberFour: string;

    @Column({default: null, nullable: true})
    valueSectionTitle: string;

    @Column({default: null, nullable: true})
    valueSectionSubTitle: string;

    @Column({default: null, nullable: true})
    faqSectionTitle: string;

    @Column({default: null, nullable: true})
    faqSectionSubTitle: string;
}
