import {IsDecimal, IsEmpty, IsNotEmpty} from "class-validator";

export class CreateSalesTaxDto {
    @IsNotEmpty()
    readonly stateName: string;

    @IsEmpty()
    @IsDecimal()
    taxAmount: number;

    @IsNotEmpty()
    readonly taxTitle: string;
}
    