import {IsEmpty, IsNotEmpty} from "class-validator";

export class CreatePaymentGatewayDto {
    @IsNotEmpty()
    billingInfo: any;

    @IsNotEmpty()
    shippingInfo: any;

    @IsNotEmpty()
    amount: number;

    @IsEmpty()
    refundAmount: number;

    @IsNotEmpty()
    ccNum: string;

    @IsNotEmpty()
    ccExp: string;

    @IsNotEmpty()
    cvv: string;

    @IsNotEmpty()
    invoiceID: string;
}
